Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5117)
@@ -8,5 +8,5 @@
 
   USE lmdz_ioipsl_getin_p, ONLY: getin_p
-  use lmdz_phys_para
+  USE lmdz_phys_para
 
   IMPLICIT NONE
@@ -314,8 +314,8 @@
          )
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_positif,iso_verif_noNaN,iso_verif_egalite
-    use isotopes_mod, ONLY: iso_eau
+    USE isotopes_verif_mod, ONLY: iso_verif_positif,iso_verif_noNaN,iso_verif_egalite
+    USE isotopes_mod, ONLY: iso_eau
 #endif
 #endif
@@ -375,7 +375,7 @@
 
 #ifdef ISO
-      real xt(ntraciso,len,nd)
-      real xtnk(ntraciso,len) 
-      integer ixt  
+      REAL xt(ntraciso,len,nd)
+      REAL xtnk(ntraciso,len)
+      INTEGER ixt
 #endif
 !jyg20140217<
@@ -395,5 +395,5 @@
              CALL iso_verif_noNaN(xt(ixt,i,k),'cv3_feed 241')
            enddo ! do ixt=1,ntraciso 
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(xt(iso_eau,i,k),q(i,k), &
                   'cv3_feed 399')
@@ -551,5 +551,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
          do i=1,len
             CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
@@ -628,5 +628,5 @@
 !@      do 290 k=minorig,nl
 !@        do 280 i=1,len
-!@          if((k.ge.(nk(i)+1)).and.(p(i,k).lt.plcl(i)))
+!@          if((k.ge.(nk(i)+1)).AND.(p(i,k).lt.plcl(i)))
 !@     &    icb(i)=min(icb(i),k)
 !@ 280    continue
@@ -634,5 +634,5 @@
 !@c
 !@      do 300 i=1,len
-!@        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+!@        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
 !@ 300  continue
 
@@ -656,5 +656,5 @@
 
   DO i = 1, len
-!@        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+!@        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
     IF ((icb(i)==nlm) .AND. (iflag(i)==0)) iflag(i) = 9
   END DO
@@ -689,9 +689,9 @@
 USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur
 #endif
 #endif
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -726,5 +726,5 @@
 #ifdef ISO
       !integer niso
-      real xtnk(ntraciso,len)
+      REAL xtnk(ntraciso,len)
 #endif
 
@@ -733,5 +733,5 @@
   REAL, DIMENSION (len, nd), INTENT (OUT)           :: tp, tvp, clw
 #ifdef ISO
-      real xtclw(ntraciso,len,nd) 
+      REAL xtclw(ntraciso,len,nd)
 #endif
 
@@ -745,7 +745,7 @@
   REAL cpinv(len)                                                        ! convect3                                                      ! convect3
 #ifdef ISO
-      integer ixt
-      real zfice(len),zxtliq(ntraciso,len),zxtice(ntraciso,len)
-      real q_k(len),clw_k(len),tg_k(len),xt_k(ntraciso,len)
+      INTEGER ixt
+      REAL zfice(len),zxtliq(ntraciso,len),zxtice(ntraciso,len)
+      REAL q_k(len),clw_k(len),tg_k(len),xt_k(ntraciso,len)
 #endif
 
@@ -920,7 +920,7 @@
 #ifdef ISOVERIF
         WRITE(*,*) 'cv3_routine undilute 1 573: avant condiso'
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,len
-          if (qnk(i).gt.ridicule) THEN
+          IF (qnk(i).gt.ridicule) THEN
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv3_routines 576')
@@ -928,5 +928,5 @@
          enddo !do i=1,len       
         endif !if (iso_HDO.gt.0) THEN
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          do i=1,len
            CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
@@ -958,5 +958,5 @@
             WRITE(*,*) 'cv3_routine undilute 1 598: apres condiso'
           
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do i=1,len
               CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icbs(i)), &
@@ -1095,5 +1095,5 @@
 #ifdef ISOVERIF 
         WRITE(*,*) 'cv3_routines 739: avant condiso'
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,len
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
@@ -1129,5 +1129,5 @@
 !WRITE(*,*) 'DEBUG ISO B'
           do i=1,len
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icb(i)+1), &
                  clw(i,icb(i)+1),'cv3_routines 708',errmax,errmaxrel)
@@ -1209,5 +1209,5 @@
 ! oct3       ath  = th(i,icb(i)-1) - dttrig
 ! oct3
-! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
+! oct3       if (tdif.lt.dtcrit .OR. ath.gt.ath1) THEN
 ! oct3         do 60 k=1,nl
 ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -1267,8 +1267,8 @@
   USE lmdz_print_control, ONLY: lunout
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
-    use isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
+    USE isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -1294,6 +1294,6 @@
 #ifdef ISO
       !integer niso
-      real xtnk1(ntraciso,len)
-      real xt1(ntraciso,len,nd), xtclw1(ntraciso,len,nd)
+      REAL xtnk1(ntraciso,len)
+      REAL xt1(ntraciso,len,nd), xtclw1(ntraciso,len,nd)
 #endif
 
@@ -1311,6 +1311,6 @@
   REAL tra(nloc, nd, ntra)
 #ifdef ISO
-      real xtnk(ntraciso,nloc)
-      real xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
+      REAL xtnk(ntraciso,nloc)
+      REAL xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
 #endif
 
@@ -1318,6 +1318,6 @@
   INTEGER i, k, nn, j
 #ifdef ISO
-      integer ixt
-!      logical negation
+      INTEGER ixt
+!      LOGICAL negation
 #endif
 
@@ -1363,5 +1363,5 @@
 !AC!       nn=0
 !AC!      do 101 i=1,len
-!AC!      IF(iflag1(i).eq.0)THEN
+!AC!      IF(iflag1(i).EQ.0)THEN
 !AC!       nn=nn+1
 !AC!       tra(nn,k,j)=tra1(i,k,j)
@@ -1401,5 +1401,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         do k = 1, nd
          do i = 1, ncum                      
@@ -1465,5 +1465,5 @@
   USE lmdz_print_control, ONLY: prt_level
 #ifdef ISO
-use infotrac_phy, ONLY: ntraciso=>ntiso
+USE infotrac_phy, ONLY: ntraciso=>ntiso
 USE isotopes_mod, ONLY: pxtmelt,pxtice,pxtmin,pxtmax,cond_temp_env, &
         iso_eau,iso_HDO
@@ -1476,5 +1476,5 @@
 #endif
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -1576,7 +1576,7 @@
 
 #ifdef ISO
-      integer ixt
-      real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
-      real clw_k(nloc),tg_k(nloc),xt_k(ntraciso,nloc)
+      INTEGER ixt
+      REAL zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
+      REAL clw_k(nloc),tg_k(nloc),xt_k(ntraciso,nloc)
 #endif
   IF (prt_level >= 10) THEN
@@ -2110,5 +2110,5 @@
         !WRITE(*,*) 'cv3_routine 1259: avant condiso'
         do i=1,ncum
-           if (iso_HDO.gt.0) THEN
+           IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv3_routines 1231')
@@ -2143,5 +2143,5 @@
         enddo !do i=1,ncum
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do i=1,ncum        
            CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k), &
@@ -2338,5 +2338,5 @@
 !  ENDDO
 
-  endif
+  ENDIF
 
 ! -- end convect3
@@ -2411,5 +2411,5 @@
 ! ori        do 520 i=1,ncum
 ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
-! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
+! ori          if((k.ge.(icb(i)+1)).AND.lcape(i))THEN
 ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
@@ -2694,5 +2694,5 @@
 ! c      do k= 1,nl
 ! c       do i = 1,ncum
-! c        IF (k .ge. icb(i) .and. k .le. inb(i)) THEN
+! c        IF (k .ge. icb(i) .AND. k .le. inb(i)) THEN
 ! c         cbmflast(i) = cbmflast(i)+M(i,k)
 ! c        ENDIF
@@ -2758,10 +2758,10 @@
 
 #ifdef ISO
-use infotrac_phy, ONLY: ntraciso=>ntiso,niso,itZonIso
+USE infotrac_phy, ONLY: ntraciso=>ntiso,niso,itZonIso
 USE isotopes_mod, ONLY: pxtmelt,pxtice,pxtmin,pxtmax, iso_eau,iso_HDO, &
         ridicule
 USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,deltalim, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,deltalim, &
         iso_verif_egalite_choix,iso_verif_aberrant_choix, iso_verif_noNaN,&
         iso_verif_aberrant, &
@@ -2770,10 +2770,10 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
+    USE isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
 &       option_cond,index_zone,izone_cond,index_iso
-    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
-    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
+    USE isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
+    USE isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
 &       iso_verif_traceur_justmass
 #endif
@@ -2806,6 +2806,6 @@
 #ifdef ISO
       !integer niso
-      real xt(ntraciso,nloc,na), xtclw(ntraciso,nloc,na)
-      real xtnk(ntraciso,nloc) 
+      REAL xt(ntraciso,nloc,na), xtclw(ntraciso,nloc,na)
+      REAL xtnk(ntraciso,nloc)
 #endif
 
@@ -2818,6 +2818,6 @@
   INTEGER, DIMENSION (nloc, nd), INTENT (OUT)         :: nent
 #ifdef ISO
-      real xtent(ntraciso,nloc,nd,nd)
-      real xtelij(ntraciso,nloc,nd,nd)      
+      REAL xtent(ntraciso,nloc,nd,nd)
+      REAL xtelij(ntraciso,nloc,nd,nd)
 #endif
 
@@ -2834,12 +2834,12 @@
   LOGICAL lwork(nloc)
 #ifdef ISO
-      integer ixt
-      real xtrti(ntraciso,nloc)
-      real xtres(ntraciso)
+      INTEGER ixt
+      REAL xtrti(ntraciso,nloc)
+      REAL xtres(ntraciso)
       ! on ajoute la dimension nloc a xtrti pour verifs dans les tags: 5 fev
       ! 2010
-      real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
+      REAL zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
 !      real xt_reduit(ntraciso)
-!      logical negation
+!      LOGICAL negation
 !#ifdef ISOVERIF
 !       integer iso_verif_positif_nostop
@@ -2978,11 +2978,11 @@
          zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)        
-         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+         IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
           do ixt=1,ntraciso
 !           xtrti(ixt)=xt(ixt,il,1)-xtep(ixt,il,i)*xtclw(ixt,il,i) ! le 7 mai: on supprime xtep
            xtrti(ixt,il)=xtnk(ixt,il)-ep(il,i)*xtclw(ixt,il,i)      
           enddo
-          IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+          IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
 ! temperature of condensation (within mixtures):
 !          tcond(il)=t(il,j)  
@@ -2996,6 +2996,6 @@
                              +(1.-sij(il,i,j))*xtrti(ixt,il)
           enddo !do ixt = 1, ntraciso
-         endif  !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
        enddo  !do il=1,ncum 
 
@@ -3013,8 +3013,8 @@
            CALL iso_verif_positif(qent(il,i,j)-elij(il,i,j), &
                   'cv3_routines 2085')
-          if (iso_eau.gt.0) THEN
-              if (iso_verif_egalite_nostop(qent(il,i,j), &
+          IF (iso_eau.gt.0) THEN
+              IF (iso_verif_egalite_nostop(qent(il,i,j), &
                     xtent(iso_eau,il,i,j), &
-                    'cv3_routine 2126').eq.1) THEN
+                    'cv3_routine 2126').EQ.1) THEN
                   WRITE(*,*) 'il,i,j=',il,i,j
                   WRITE(*,*) 'sij(il,i,j)=',sij(il,i,j)
@@ -3040,8 +3040,8 @@
         do il=1,ncum
           CALL iso_verif_traceur(xt(1,il,i),'cv3_routines 1967')
-          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+          IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
           CALL iso_verif_traceur(xtrti(1,il),'cv3_routines 1968')
-          endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+          endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3_routines 1969')
           
@@ -3058,5 +3058,5 @@
 !        WRITE(*,*) 'cv3_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         do il=1,ncum    
 !        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
@@ -3065,16 +3065,16 @@
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,j).gt.0.0).AND.(qent(il,i,j).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                  0.0,xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
 !             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
@@ -3097,8 +3097,8 @@
 !        WRITE(*,*) 'cv3_routines 2050: avant condiso'
         do il=1,ncum
-        if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) THEN
-        if (iso_eau.gt.0) THEN
+        IF ((i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il))) THEN
+        IF (sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
               qent(il,i,j),'cv3_routines 1889',errmax,errmaxrel)
@@ -3106,5 +3106,5 @@
               elij(il,i,j),'cv3_routines 1890',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                   ridicule,deltalim,'cv3_routines 1997')
@@ -3124,6 +3124,6 @@
 #endif        
 
-        endif !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
         enddo !do il=1,ncum
 #endif
@@ -3135,6 +3135,6 @@
 !AC!        do j=minorig,nl
 !AC!         do il=1,ncum
-!AC!          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+!AC!          IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
+!AC!     :       (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
 !AC!            traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
 !AC!     :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -3153,5 +3153,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      IF(nent(il,i).eq.0)THEN
+! @      IF(nent(il,i).EQ.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = qnk(il) - ep(il, i)*clw(il, i)
@@ -3170,11 +3170,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
 !        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3182,5 +3182,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3188,5 +3188,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -3218,5 +3218,5 @@
 !AC!       do i=minorig+1,nl
 !AC!        do il=1,ncum
-!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
+!AC!         if (i.ge.icb(il) .AND. i.le.inb(il) .AND. nent(il,i).EQ.0) THEN
 !AC!          traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!         endif
@@ -3405,11 +3405,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
 !        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3417,5 +3417,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3423,5 +3423,5 @@
                  xtres,&
                  seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) THEN
+            endif ! if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -3449,6 +3449,6 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-!AC!     :     .and. csum(il,i).lt.m(il,i) ) THEN
+!AC!        if ( i.ge.icb(il) .AND. i.le.inb(il) .AND. lwork(il)
+!AC!     :     .AND. csum(il,i).lt.m(il,i) ) THEN
 !AC!         traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!        endif
@@ -3492,10 +3492,10 @@
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
                elij(il,im,jm),'cv3_mixing 2110',errmax,errmaxrel)
-            if (iso_verif_egalite_choix_nostop(xtent(iso_eau,il,im,jm),  &
+            IF (iso_verif_egalite_choix_nostop(xtent(iso_eau,il,im,jm),  &
                qent(il,im,jm),'cv3_mixing 2112',errmax,errmaxrel) &
-               .eq.1) THEN
+               .EQ.1) THEN
                 WRITE(*,*) 'il,im,jm=',il,im,jm
                 WRITE(*,*) 'xtnk(:,il),qnk(il)=',xtnk(:,il),qnk(il)
@@ -3516,5 +3516,5 @@
 #ifdef ISOTRAC
         ! seulement a la fin on taggue le condensat
-        if (option_cond.ge.1) THEN
+        IF (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -3522,9 +3522,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -3541,9 +3541,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 xtclw(ixt,il,im)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -3552,7 +3552,7 @@
         CALL iso_verif_traceur(xtclw(1,il,im), &
                 'condiso_liq_ice_vectiso_trac 358')
-        if (iso_verif_positif_nostop(xtclw(itZonIso( &
+        IF (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv3_routines 909').eq.1) THEN
+                 ,'cv3_routines 909').EQ.1) THEN
                WRITE(*,*) 'i,k=',i,k
                WRITE(*,*) 'xtclw=',xtclw(:,i,k)
@@ -3565,5 +3565,5 @@
          enddo !do im = 1, nd
 !         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) THEN
+        endif !if (option_tmin.EQ.1) THEN
 #endif
 #endif
@@ -3585,10 +3585,10 @@
   USE lmdz_print_control, ONLY: prt_level, lunout
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
-    use isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO, &
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
+    USE isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO, &
         ridicule
-    use isotopes_routines_mod, ONLY: appel_stewart_vectall_np
+    USE isotopes_routines_mod, ONLY: appel_stewart_vectall_np
 #ifdef ISOVERIF
-    use isotopes_verif_mod
+    USE isotopes_verif_mod
 !, ONLY: errmax,errmaxrel, &
 !        iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
@@ -3597,10 +3597,10 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_cond,izone_cond
-    use infotrac_phy, ONLY: itZonIso
+    USE isotrac_mod, ONLY: option_cond,izone_cond
+    USE infotrac_phy, ONLY: itZonIso
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur_justmass, &
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur_justmass, &
 &       iso_verif_traceur, iso_verif_positif_choix
-    use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
+    USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -3681,8 +3681,8 @@
   LOGICAL lwork(nloc), mplus(nloc)
 #ifdef ISO
-      integer ixt
-      real xtwdtrain(ntraciso,nloc), xtawat(ntraciso)
-!      logical negation
-      real rpprec(nloc,na)
+      INTEGER ixt
+      REAL xtwdtrain(ntraciso,nloc), xtawat(ntraciso)
+!      LOGICAL negation
+      REAL rpprec(nloc,na)
 !#ifdef ISOVERIF
 !      integer iso_verif_aberrant_nostop
@@ -3891,5 +3891,5 @@
           enddo
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv3_routines 2313',errmax,errmaxrel)
@@ -3914,5 +3914,5 @@
 #ifdef ISO
 ! precip mixed drafts computed from: xtawat/xtelij = awat/elij           
-            if (elij(il,j,i).gt.0.0) THEN
+            IF (elij(il,j,i).gt.0.0) THEN
              do ixt=1,ntraciso
                xtawat(ixt)=xtelij(ixt,il,j,i)*(awat/elij(il,j,i))
@@ -3926,5 +3926,5 @@
             endif  !if (elij(il,j,i).gt.0.0) THEN
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv3_routines 2391',errmax,errmaxrel)
@@ -3948,5 +3948,5 @@
 #endif
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv3_routines 2366',errmax,errmaxrel)
@@ -3954,10 +3954,10 @@
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv3_routine 2540')
-        if (option_cond.ge.1) THEN
+        IF (option_cond.ge.1) THEN
           ! on verifie que tout le detrainement est tagge condensat
-          if (iso_verif_positif_nostop( &
+          IF (iso_verif_positif_nostop( &
                 xtwdtrain(itZonIso(izone_cond,iso_eau),il) &
                 -xtwdtrain(iso_eau,il), &
-                'cv3_routines 2795').eq.1) THEN
+                'cv3_routines 2795').EQ.1) THEN
           WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
           WRITE(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
@@ -4159,5 +4159,5 @@
 !JYG----   Correction : si c6 <= 0, water(il,i)=0.
 ! prec(il,i)=0.
-! endif
+! END IF
 
 !JYG---   Dans tous les cas, evaporation = [tt ce qui entre dans la couche i]
@@ -4232,5 +4232,5 @@
 
         END IF
-      END IF !(i.le.inb(il) .and. lwork(il))
+      END IF !(i.le.inb(il) .AND. lwork(il))
     END DO
 ! ----------------------------------------------------------------
@@ -4273,5 +4273,5 @@
         END IF
 
-      END IF !(i.le.inb(il) .and. lwork(il) .and. i.ne.1)
+      END IF !(i.le.inb(il) .AND. lwork(il) .AND. i.NE.1)
       IF (prt_level >= 20) THEN
         PRINT *,'cv3_unsat, mp hydrostatic ', i, mp(il,i)
@@ -4394,5 +4394,5 @@
 !>jyg
 
-      END IF ! (i.le.inb(il) .and. lwork(il) .and. i.ne.1)
+      END IF ! (i.le.inb(il) .AND. lwork(il) .AND. i.NE.1)
     END DO
 ! ----------------------------------------------------------------
@@ -4408,5 +4408,5 @@
       IF (i<inb(il) .AND. lwork(il)) THEN
         mplus(il) = mp(il, i) > mp(il, i+1)
-      END IF ! (i.lt.inb(il) .and. lwork(il))
+      END IF ! (i.lt.inb(il) .AND. lwork(il))
     END DO
 
@@ -4446,5 +4446,5 @@
             vp(il, i) = vp(il, i+1)
           END IF ! (mp(il,i+1).gt.1.0e-16)
-        END IF ! (mplus(il)) else if (.not.mplus(il))
+        END IF ! (mplus(il)) ELSE IF (.NOT.mplus(il))
 
 #ifdef ISO 
@@ -4456,5 +4456,5 @@
         rp(il, i) = max(rp(il,i), 0.0)
 
-      END IF ! (i.lt.inb(il) .and. lwork(il))
+      END IF ! (i.lt.inb(il) .AND. lwork(il))
     END DO
 ! ----------------------------------------------------------------
@@ -4464,5 +4464,5 @@
 !AC!      do j=1,ntra
 !AC!       do il = 1,ncum
-!AC!       if (i.lt.inb(il) .and. lwork(il)) THEN
+!AC!       if (i.lt.inb(il) .AND. lwork(il)) THEN
 !AC!c
 !AC!         IF(mplus(il))THEN
@@ -4474,7 +4474,7 @@
 !AC!           trap(il,i,j)=trap(il,i+1,j)
 !AC!          endif
-!AC!         endif ! (mplus(il)) else if (.not.mplus(il))
+!AC!         endif ! (mplus(il)) ELSE IF (.NOT.mplus(il))
 !AC!c
-!AC!        endif ! (i.lt.inb(il) .and. lwork(il))
+!AC!        endif ! (i.lt.inb(il) .AND. lwork(il))
 !AC!       enddo
 !AC!      END DO
@@ -4484,6 +4484,6 @@
 ! verif des inputs a appel stewart
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-         if (iso_eau.gt.0) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
               rr(il,i),'appel_stewart 262, cas 1.1',errmax,errmaxrel)
@@ -4515,5 +4515,5 @@
 ! verif des outputs de appel stewart
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
          do ixt=1,ntraciso        
           CALL iso_verif_noNAN(xtp(ixt,il,i),'cv3_unsat 3382')
@@ -4526,6 +4526,6 @@
 #ifdef ISOVERIF
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
-         if (iso_eau.gt.0) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtp(iso_eau,il,i), &
                  rpprec(il,i),'cv3_unsat 2736',errmax,errmaxrel)
@@ -4539,11 +4539,11 @@
                  evap(il,i),'cv3_unsat 2751',errmax,errmaxrel)
          endif !if (iso_eau.gt.0) THEN
-         if ((iso_HDO.gt.0).and. &
+         IF ((iso_HDO.gt.0).AND. &
                  (rp(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant(xtp(iso_HDO,il,i)/rpprec(il,i), &
                         'cv3unsat 2756')
-           endif !if ((iso_HDO.gt.0).and.
+           endif !if ((iso_HDO.gt.0).AND.
 #ifdef ISOTRAC
-!        if (il.eq.602) THEN
+!        if (il.EQ.602) THEN
 !        WRITE(*,*) 'cv3_routine tmp: il,i=',il,i
 !        WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -4564,5 +4564,5 @@
 !        endif !if (option_tmin.ge.1) THEN
 #endif              
-        endif !if (i.le.inb(il) .and. lwork(il)) THEN
+        endif !if (i.le.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum
 #endif
@@ -4570,7 +4570,7 @@
 ! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
-        if (i.lt.inb(il) .and. lwork(il)) THEN
-         if (rpprec(il,i).gt.rs(il,i)) THEN
-            if (rs(il,i).le.0) THEN
+        IF (i.lt.inb(il) .AND. lwork(il)) THEN
+         IF (rpprec(il,i).gt.rs(il,i)) THEN
+            IF (rs(il,i).le.0) THEN
                 WRITE(*,*) 'cv3unsat 2640'
                 stop
@@ -4586,5 +4586,5 @@
 #endif
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
 !             WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)
              CALL iso_verif_egalite_choix(xtp(iso_eau,il,i),rp(il,i), &
@@ -4593,8 +4593,8 @@
                   rs(il,i),'cv3unsat 2654',errmax,errmaxrel)
            endif  
-           if ((iso_HDO.gt.0).and. &
+           IF ((iso_HDO.gt.0).AND. &
                  (rp(il,i).gt.ridicule)) THEN
-             if (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
-                        'cv3unsat 2658').eq.1) THEN
+             IF (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
+                        'cv3unsat 2658').EQ.1) THEN
                 WRITE(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
                          rpprec(il,i),rs(il,i),rp(il,i)
@@ -4608,5 +4608,5 @@
           rpprec(il,i)=rs(il,i)      
          ! sous cas rajoute le 11dec 2011. Normalement, pas utile 
-         else if (rp(il,i).eq.0.0) THEN
+         ELSE IF (rp(il,i).EQ.0.0) THEN
             do ixt=1,ntraciso
               xtp(ixt,il,i)=0.0
